package org.jeecg.modules.app.controller;

import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.app.service.IAppBannerService;
import org.jeecg.modules.app.vo.AppBannerVO;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@Slf4j
@Tag(name = "App首页相关接口")
@RestController
@RequestMapping("/app/home")
public class AppHomeController {
    @Resource
    private IAppBannerService appBannerService;

    @GetMapping("/queryBanner")
    @Operation(summary = "查询首页轮播图")
    public Result<List<AppBannerVO>> queryBanner() {
        return Result.ok(appBannerService.queryBanner());
    }
}
