package org.jeecg.modules.app.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.app.entity.AppBanner;
import org.jeecg.modules.app.mapper.AppBannerMapper;
import org.jeecg.modules.app.service.IAppBannerService;
import org.jeecg.modules.app.vo.AppBannerVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

@Service
public class AppBannerServiceImpl extends ServiceImpl<AppBannerMapper, AppBanner> implements IAppBannerService {
    @Override
    public List<AppBannerVO> queryBanner() {
        List<AppBanner> appBanners = this.getBaseMapper().selectList(Wrappers.<AppBanner>lambdaQuery()
                .eq(AppBanner::getDelFlag, 0));
        return appBanners.stream()
                .map(banner -> new AppBannerVO()
                        .setId(banner.getId())
                        .setEventType(banner.getEventType())
                        .setEventValue(banner.getEventValue())
                        .setSortOrder(banner.getSortOrder())
                        .setImageUrl(banner.getImageUrl()))
                .collect(Collectors.toList());
    }
}
